summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Leonard Schmidt <lems@gmx.net>2014-08-29 14:23:09 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-08-30 14:19:25 +0700
commite0a9dc5610736088daddaed23e4f420e9e1198e4 (patch)
tree4d00b09ec0cfd6f76de26e841985f482ec89345f /desktop
parent1b3de4358b8cdbc083bdf77e8a6c0a35c0a23edf (diff)
downloadslackbuilds-e0a9dc5610736088daddaed23e4f420e9e1198e4.tar.gz
slackbuilds-e0a9dc5610736088daddaed23e4f420e9e1198e4.tar.xz
desktop/cwm: (OpenBSD's cwm X11 window manager).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/cwm/README12
-rw-r--r--desktop/cwm/cwm.SlackBuild93
-rw-r--r--desktop/cwm/cwm.info10
-rw-r--r--desktop/cwm/slack-desc19
-rw-r--r--desktop/cwm/xinitrc.cwm18
5 files changed, 152 insertions, 0 deletions
diff --git a/desktop/cwm/README b/desktop/cwm/README
new file mode 100644
index 0000000000..39aebfbfe8
--- /dev/null
+++ b/desktop/cwm/README
@@ -0,0 +1,12 @@
+This is a port of OpenBSD's excellent cwm to Linux and other
+Unices.
+
+cwm is a window manager for X11 which contains many features that
+concentrate on the efficiency and transparency of window
+management. cwm also aims to maintain the simplest and most
+pleasant aesthetic.
+
+This version actively tracks changes in the OpenBSD CVS repository.
+Releases are roughly coordinated.
+
+NOTE: This version conflicts with cwm-openbsd. Only install one of them!
diff --git a/desktop/cwm/cwm.SlackBuild b/desktop/cwm/cwm.SlackBuild
new file mode 100644
index 0000000000..3635d7b1b9
--- /dev/null
+++ b/desktop/cwm/cwm.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for cwm
+
+# Copyright 2014 Leonard Schmidt <lems@gmx.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cwm
+VERSION=${VERSION:-5.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS=""
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make PREFIX=/usr \
+MANPREFIX=/usr/man \
+DESTDIR="$PKG" \
+install
+
+install -m 0755 -D $CWD/xinitrc.cwm $PKG/etc/X11/xinit/xinitrc.cwm
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/cwm/cwm.info b/desktop/cwm/cwm.info
new file mode 100644
index 0000000000..1d20d20d5d
--- /dev/null
+++ b/desktop/cwm/cwm.info
@@ -0,0 +1,10 @@
+PRGNAM="cwm"
+VERSION="5.5"
+HOMEPAGE="https://github.com/chneukirchen/cwm"
+DOWNLOAD="http://chneukirchen.org/releases/cwm-5.5.tar.gz"
+MD5SUM="bd6f484cc9af5915d0a7a7cfb03b7236"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Leonard Schmidt"
+EMAIL="lems@gmx.net"
diff --git a/desktop/cwm/slack-desc b/desktop/cwm/slack-desc
new file mode 100644
index 0000000000..b94841c2bd
--- /dev/null
+++ b/desktop/cwm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cwm: cwm (OpenBSD's cwm X11 window manager)
+cwm:
+cwm: This is a port of OpenBSD's excellent cwm to Linux and other
+cwm: Unices.
+cwm:
+cwm: cwm is a window manager for X11 which contains many features that
+cwm: concentrate on the efficiency and transparency of window
+cwm: management. cwm also aims to maintain the simplest and most
+cwm: pleasant aesthetic.
+cwm:
+cwm: Homepage: https://github.com/chneukirchen/cwm
diff --git a/desktop/cwm/xinitrc.cwm b/desktop/cwm/xinitrc.cwm
new file mode 100644
index 0000000000..7367a88477
--- /dev/null
+++ b/desktop/cwm/xinitrc.cwm
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/etc/X11/xinit/.Xresources
+sysmodmap=/etc/X11/xinit/.Xmodmap
+
+# Merge in defaults and keymaps
+[ -f $sysresources ] && /usr/bin/xrdb -merge $sysresources
+[ -f $sysmodmap ] && /usr/bin/xmodmap $sysmodmap
+[ -f $userresources ] && /usr/bin/xrdb -merge $userresources
+[ -f $usermodmap ] && /usr/bin/xmodmap $usermodmap
+
+if [ -z "$DESKTOP_SESSION" -a -x /usr/bin/ck-launch-session ]; then
+ ck-launch-session dbus-launch --exit-with-session cwm
+else
+ exec cwm
+fi